package x33eja.model;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import javax.persistence.OneToMany;

// todo nastav :
//      - oznac tridu Department jako entitu
public class Department implements Serializable {

    /**
     * Pro ciselny klic pouzit automaticke generovani napr. sekvencemi tzn.
     * misto Auto, kdy se ponecha volba na databazi, zvolit GenerationType.SEQUENCE
     * a nasledne jeste definovat jmeno sekvence, jinak bude pouzita vychozi
     * - spolecna pro vsechny entity
     * @GeneratedValue(strategy=GenerationType.SEQUENCE)
     * @SequenceGenerator(sequenceName="seq_department")
     *
     * anotace Column je volitelna
     */
   
    // todo nastav :
    //      - field deptId je primarni klic tabulky
    //      - automaticke generovani klice pomoci anotace @GeneratedValue
    //      - atribut odpovedajuci field-u deptId v DB by se mel volat ID
    private int deptId;

    private String name;

    /**
     * Povsimnete si, u ktere relace je v tomto pripade umisten cizi klic
     */
    // todo nastav :
    //      - bidirectional relaci s triedou Teacher (@OneToMany)
    private List<Teacher> members;

    public int getDeptId () {
        return deptId;
    }

    public void setDeptId (int val) {
        this.deptId = val;
    }

    public String getName () {
        return name;
    }

    public void setName (String val) {
        this.name = val;
    }

    public List<Teacher> getMembers() {
        return members;
    }

    public void setMembers(List<Teacher> members) {
        this.members = members;
    }

   
}

